org.apache.solr.hadoop.morphline

## Enum MorphlineCounters

- java.lang.Object
- - java.lang.Enum<MorphlineCounters>
  - - org.apache.solr.hadoop.morphline.MorphlineCounters

- All Implemented Interfaces:
    Serializable, Comparable<MorphlineCounters>

      public enum MorphlineCounters
      extends Enum<MorphlineCounters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOCS_READ`
    `ERRORS`
    `FILE_BYTES_READ`
    `FILES_READ`
    `PARSER_OUTPUT_BYTES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static MorphlineCounters` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MorphlineCounters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILES_READ

          public static final MorphlineCounters FILES_READ

    - #### FILE_BYTES_READ

          public static final MorphlineCounters FILE_BYTES_READ

    - #### DOCS_READ

          public static final MorphlineCounters DOCS_READ

    - #### PARSER_OUTPUT_BYTES

          public static final MorphlineCounters PARSER_OUTPUT_BYTES

    - #### ERRORS

          public static final MorphlineCounters ERRORS

  - ### Method Detail

    - #### values

          public static MorphlineCounters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MorphlineCounters c : MorphlineCounters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MorphlineCounters valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<MorphlineCounters>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.